## Update All the configuration for tenant.

### cURL

```bash
curl --request PATCH \
  --url https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '[\
  {\
    "configName": "ENUM",\
    "objectValue": "SYSTEM",\
    "objectType": "SYSTEM",\
    "configType": "HOLD"\
  }\
]'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"

payload = [\
    {\
        "configName": "ENUM",\
        "objectValue": "SYSTEM",\
        "objectType": "SYSTEM",\
        "configType": "HOLD"\
    }\
]
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {
  method: 'PATCH',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify([\
    {\
      configName: 'ENUM',\
      objectValue: 'SYSTEM',\
      objectType: 'SYSTEM',\
      configType: 'HOLD'\
    }\
  ])
};

fetch('https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PATCH",\
  CURLOPT_POSTFIELDS => json_encode([\
    [\
        'configName' => 'ENUM',\
        'objectValue' => 'SYSTEM',\
        'objectType' => 'SYSTEM',\
        'configType' => 'HOLD'\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json",\
    "x-site-context: <x-site-context>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"

payload := strings.NewReader("[\n  {\n    \"configName\": \"ENUM\",\n    \"objectValue\": \"SYSTEM\",\n    \"objectType\": \"SYSTEM\",\n    \"configType\": \"HOLD\"\n  }\n]")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"configName\": \"ENUM\",\n    \"objectValue\": \"SYSTEM\",\n    \"objectType\": \"SYSTEM\",\n    \"configType\": \"HOLD\"\n  }\n]")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"configName\": \"ENUM\",\n    \"objectValue\": \"SYSTEM\",\n    \"objectType\": \"SYSTEM\",\n    \"configType\": \"HOLD\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**: Configuration updated successfully.
- **400**: Bad Request.
- **404**: Configuration Not Found.
- **500**: Internal Server Error.

### Response Body

```json
{
  "configName": "ENUM",
  "objectValue": "SYSTEM",
  "objectType": "SYSTEM",
  "configType": "HOLD",
  "tenantId": "erfvda5435234tgfdvsf"
}
```

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Configuration Not Found"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorization

- **Authorization**: Bearer authentication header of the form `Bearer <token>`.

### Headers

- **x-site-context**: A JSON object containing information about the source.
   - Example: `{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}`

### Body

- **configName**: Name of the configuration.
   - Example: `
